Package org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSClientLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.jms.client.ActiveMQJMSClientLogger_$logger

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJMSClientLogger`, `org.jboss.logging.BasicLogger`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2022-06-07T12:49:56-0400")
      public class ActiveMQJMSClientLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJMSClientLogger, org.jboss.logging.BasicLogger, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.client.ActiveMQJMSClientLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQJMSClientLogger_$logger​(org.jboss.logging.Logger log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `connectionLeftOpen​(java.lang.Exception e)` |
    `protected java.lang.String` | `connectionLeftOpen$str()` |
    `void` | `errorCallingExcListener​(java.lang.Exception e)` |
    `protected java.lang.String` | `errorCallingExcListener$str()` |
    `void` | `errorCallingFailoverListener​(java.lang.Exception e)` |
    `protected java.lang.String` | `errorCallingFailoverListener$str()` |
    `void` | `errorCreatingMessage​(java.lang.String messageToString, java.lang.Throwable e)` |
    `protected java.lang.String` | `errorCreatingMessage$str()` |
    `void` | `errorPreparingMessageForReceipt​(java.lang.String messagetoString, java.lang.Throwable e)` |
    `protected java.lang.String` | `errorPreparingMessageForReceipt$str()` |
    `void` | `errorProcessingMessage​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorProcessingMessage$str()` |
    `void` | `errorRecoveringSession​(java.lang.Throwable e)` |
    `protected java.lang.String` | `errorRecoveringSession$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `void` | `onMessageError​(java.lang.Exception e)` |
    `protected java.lang.String` | `onMessageError$str()` |

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJMSClientLogger_$logger

          public ActiveMQJMSClientLogger_$logger​(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### connectionLeftOpen

          public final void connectionLeftOpen​(java.lang.Exception e)

      Specified by:
        `connectionLeftOpen` in interface `ActiveMQJMSClientLogger`

    - #### connectionLeftOpen$str

          protected java.lang.String connectionLeftOpen$str()

    - #### onMessageError

          public final void onMessageError​(java.lang.Exception e)

      Specified by:
        `onMessageError` in interface `ActiveMQJMSClientLogger`

    - #### onMessageError$str

          protected java.lang.String onMessageError$str()

    - #### errorCallingExcListener

          public final void errorCallingExcListener​(java.lang.Exception e)

      Specified by:
        `errorCallingExcListener` in interface `ActiveMQJMSClientLogger`

    - #### errorCallingExcListener$str

          protected java.lang.String errorCallingExcListener$str()

    - #### errorCreatingMessage

          public final void errorCreatingMessage​(java.lang.String messageToString,
                                                 java.lang.Throwable e)

      Specified by:
        `errorCreatingMessage` in interface `ActiveMQJMSClientLogger`

    - #### errorCreatingMessage$str

          protected java.lang.String errorCreatingMessage$str()

    - #### errorPreparingMessageForReceipt

          public final void errorPreparingMessageForReceipt​(java.lang.String messagetoString,
                                                            java.lang.Throwable e)

      Specified by:
        `errorPreparingMessageForReceipt` in interface `ActiveMQJMSClientLogger`

    - #### errorPreparingMessageForReceipt$str

          protected java.lang.String errorPreparingMessageForReceipt$str()

    - #### errorProcessingMessage

          public final void errorProcessingMessage​(java.lang.Throwable e)

      Specified by:
        `errorProcessingMessage` in interface `ActiveMQJMSClientLogger`

    - #### errorProcessingMessage$str

          protected java.lang.String errorProcessingMessage$str()

    - #### errorRecoveringSession

          public final void errorRecoveringSession​(java.lang.Throwable e)

      Specified by:
        `errorRecoveringSession` in interface `ActiveMQJMSClientLogger`

    - #### errorRecoveringSession$str

          protected java.lang.String errorRecoveringSession$str()

    - #### errorCallingFailoverListener

          public final void errorCallingFailoverListener​(java.lang.Exception e)

      Specified by:
        `errorCallingFailoverListener` in interface `ActiveMQJMSClientLogger`

    - #### errorCallingFailoverListener$str

          protected java.lang.String errorCallingFailoverListener$str()